Vector::BLF::SingleByteSerialEvent(3)

NAME
Vector::BLF::SingleByteSerialEvent

SYNOPSIS

#include <SingleByteSerialEvent.h>

  Public Member Functions
SingleByteSerialEvent (const SingleByteSerialEvent &)=default
SingleByteSerialEvent & operator= (const SingleByteSerialEvent &)=default
SingleByteSerialEvent (SingleByteSerialEvent &&)=default
SingleByteSerialEvent & operator= (SingleByteSerialEvent &&)=default
virtual void read (AbstractFile &is)
virtual void write (AbstractFile &os)
virtual uint32_t calculateObjectSize () const

  Public Attributes
uint8_t byte {}

Detailed Description

single byte serial event

Member Function Documentation

  uint32_t Vector::BLF::SingleByteSerialEvent::calculateObjectSize () const [virtual]

Calculates the objectSize

Returns
    object size

  void Vector::BLF::SingleByteSerialEvent::read (AbstractFile & is) [virtual]

Read the data of this object

Parameters
    is input stream

  void Vector::BLF::SingleByteSerialEvent::write (AbstractFile & os) [virtual]

Write the data of this object

Parameters
    os output stream

Member Data Documentation

  uint8_t Vector::BLF::SingleByteSerialEvent::byte {}
single byte

Author

Generated automatically by Doxygen for Vector BLF from the source code.